Subject: [bug#28832] [PATCH 1/3] gnu: Add emacs-json-reformat.

From: Alex Kost <[email-masked]>
Date: Tue, 12 Dec 2017 20:23:49 +0300

Ludovic Courtès (2017-12-12 10:17 +0100) wrote:

> Oleg Pykhalov <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Besides, I wonder: shouldn’t ‘emacs-build-system’ define the
>>> ‘EMACSLOADPATH’ env. var. so we don’t have to carry all these -L flags?
>>> Is there any downside?
>>
>> As I see from the documentation¹ EMACSLOADPATH is a list of directories
>> with *.el files in it.  If we will use it, then it will be almost the
>> same carring bunch of directories in package recipes, will it?
>
> If ‘emacs-build-system’ sets ‘EMACSLOADPATH’ automatically, then
> individual package definitions won’t need those -L flags.  Dunno if
> there are good reasons not to do so.  Maybe Alex has an opinion?

I would rather ask Federico who wrote ‘emacs-build-system’ :)

Yeah, maybe ‘emacs-build-system’ could benefit from using EMACSLOADPATH,
I don't know, someone should probably give it a try ;-)

BTW, Oleg, did you try to use 'ert-runner' instead of running emacs for
tests manually?  Perhaps, it will work; look at commit
8505d34829b99744a36d72dd583768f1e49210a6 for example.

-- 
Alex